import _pyXspec
class Spectrum(object):
    "Spectral data class"
        
    def __init__(self, dataFile, bckFile=None, rspFile=None,
            arfFile=None, rowNum=0):
        
        _pyXspec.readSpectrum(dataFile, bckFile, rspFile, 
                                 arfFile, rowNum)


class Model(object):
    "Xspec model class"
    
    def __init__(self, modString):
        
        _pyXspec.createModel(modString)


class Fit(object):
   "Xspec fitting class"
   
   def __init__(self):
   
       _pyXspec.doFit()

class Plot(object):
    "Xspec plotting class"
    
    def __init__(self, deviceStr):
       self.setDevice(deviceStr)
           
    def setDevice(self,deviceStr):
        _pyXspec.setDevice(deviceStr)

    def plot(self, *panes):
        _pyXspec.doPlot(*panes)
